// 共通のユーティリティ関数
const utils = {
    formatDate: function(date) {
        return new Date(date).toLocaleString();
    },
    
    escapeHtml: function(str) {
        const div = document.createElement('div');
        div.textContent = str;
        return div.innerHTML;
    },
    
    showNotification: function(message, type = 'info') {
        // 既存の通知関数を再利用
        const notification = document.createElement('div');
        notification.className = `notification p-4 rounded-lg shadow-lg max-w-md transform transition-all duration-300 ease-in-out ${
            type === 'error' ? 'bg-red-500 text-white' :
            type === 'success' ? 'bg-green-500 text-white' :
            type === 'warning' ? 'bg-yellow-500 text-white' :
            'bg-blue-500 text-white'
        }`;
        notification.textContent = message;
        
        const notificationArea = document.getElementById('notification-area');
        if (notificationArea) {
            notificationArea.appendChild(notification);
            
            setTimeout(() => {
                notification.style.opacity = '0';
                notification.style.transform = 'translateX(100%)';
                setTimeout(() => notification.remove(), 300);
            }, 3000);
        }
    }
};

// エクスポート
if (typeof module !== 'undefined' && module.exports) {
    module.exports = utils;
} else {
    window.utils = utils;
}
